image: jekyll/jekyll:stable
stages:
  - deploy

cache:
  paths:
    - vendor
  key: "$CI_BUILD_REPO"

# before_script:
#   - gem install therubyracer
#   - gem install bundler
#   - bundle install --path=vendor/
  
deploy_site:
  stage: deploy
  only:
    - master
  script:
    - jekyll build
  artifacts:
    paths:
      - _site/